Package: org.grails.gsp

## [Java] Class GroovyPageBinding

- org.grails.gsp.GroovyPageBinding

- Script Binding that is used in GSP evaluation.

  Authors:
    Lari Hotari

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageBinding ()`
    `GroovyPageBinding (groovy.lang.Binding parent)`
    `GroovyPageBinding (java.lang.String pluginContextPath)`
    `GroovyPageBinding (java.util.Map variables)`
    `GroovyPageBinding (java.lang.String[] args)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GrailsPlugin` | `getPagePlugin()`
    `` | `java.lang.String` | `getPluginContextPath()`
    `` | `java.lang.Object` | `getVariable(java.lang.String name)`
    `` | `protected boolean` | `isReservedName(java.lang.String name)`
    `` | `void` | `setPagePlugin(GrailsPlugin plugin)`
    `` | `void` | `setPluginContextPath(java.lang.String pluginContextPath)`
    `` | `protected boolean` | `shouldUseChildBinding(TemplateVariableBinding childBinding)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TemplateVariableBinding` | `findBindingForVariable, getOwner, getParent, getProperty, getVariable, getVariableNames, internalSetVariable, isReservedName, isRoot, setOwner, setParent, setProperty, setRoot, setVariable, shouldUseChildBinding`
    `class AbstractTemplateVariableBinding` | `addMap, findBindingForVariable, getVariableNames, getVariables, getVariablesMap, internalSetVariable, isVariableCachingAllowed, setVariableDirectly`
    `class groovy.lang.Binding` | `groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPageBinding()

    - #### public GroovyPageBinding(groovy.lang.Binding parent)

    - #### public GroovyPageBinding(java.lang.String pluginContextPath)

    - #### @java.lang.SuppressWarnings("rawtypes") public GroovyPageBinding(java.util.Map variables)

    - #### public GroovyPageBinding(java.lang.String[] args)

  - ### Method Detail

    - #### public GrailsPlugin getPagePlugin()

    - #### public java.lang.String getPluginContextPath()

    - #### @java.lang.SuppressWarnings("unchecked") @java.lang.Override public java.lang.Object getVariable(java.lang.String name)

    - #### protected boolean isReservedName(java.lang.String name)

    - #### @java.lang.SuppressWarnings("unchecked") public void setPagePlugin(GrailsPlugin plugin)

    - #### @java.lang.SuppressWarnings("unchecked") public void setPluginContextPath(java.lang.String pluginContextPath)

    - #### protected boolean shouldUseChildBinding(TemplateVariableBinding childBinding)